package com.bonus.canteen.core.nutrition.common.model;

import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import java.io.Serializable;
import java.util.Date;

@TableName("health_info_chronic")
public class HealthInfoChronic implements Serializable {
   @TableId
   private Long id;
   private Long custId;
   private Long chronicId;
   private String chronicName;
   private String crby;
   private Date crtime;
   private String upby;
   private Date uptime;

   public HealthInfoChronic() {
   }

   public static HealthInfoChronicBuilder builder() {
      return new HealthInfoChronicBuilder();
   }

   public Long getId() {
      return this.id;
   }

   public Long getCustId() {
      return this.custId;
   }

   public Long getChronicId() {
      return this.chronicId;
   }

   public String getChronicName() {
      return this.chronicName;
   }

   public String getCrby() {
      return this.crby;
   }

   public Date getCrtime() {
      return this.crtime;
   }

   public String getUpby() {
      return this.upby;
   }

   public Date getUptime() {
      return this.uptime;
   }

   public void setId(final Long id) {
      this.id = id;
   }

   public void setCustId(final Long custId) {
      this.custId = custId;
   }

   public void setChronicId(final Long chronicId) {
      this.chronicId = chronicId;
   }

   public void setChronicName(final String chronicName) {
      this.chronicName = chronicName;
   }

   public void setCrby(final String crby) {
      this.crby = crby;
   }

   public void setCrtime(final Date crtime) {
      this.crtime = crtime;
   }

   public void setUpby(final String upby) {
      this.upby = upby;
   }

   public void setUptime(final Date uptime) {
      this.uptime = uptime;
   }

   public String toString() {
      Long var10000 = this.getId();
      return "HealthInfoChronic(id=" + var10000 + ", custId=" + this.getCustId() + ", chronicId=" + this.getChronicId() + ", chronicName=" + this.getChronicName() + ", crby=" + this.getCrby() + ", crtime=" + String.valueOf(this.getCrtime()) + ", upby=" + this.getUpby() + ", uptime=" + String.valueOf(this.getUptime()) + ")";
   }

   public HealthInfoChronic(final Long id, final Long custId, final Long chronicId, final String chronicName, final String crby, final Date crtime, final String upby, final Date uptime) {
      this.id = id;
      this.custId = custId;
      this.chronicId = chronicId;
      this.chronicName = chronicName;
      this.crby = crby;
      this.crtime = crtime;
      this.upby = upby;
      this.uptime = uptime;
   }

   public static class HealthInfoChronicBuilder {
      private Long id;
      private Long custId;
      private Long chronicId;
      private String chronicName;
      private String crby;
      private Date crtime;
      private String upby;
      private Date uptime;

      HealthInfoChronicBuilder() {
      }

      public HealthInfoChronicBuilder id(final Long id) {
         this.id = id;
         return this;
      }

      public HealthInfoChronicBuilder custId(final Long custId) {
         this.custId = custId;
         return this;
      }

      public HealthInfoChronicBuilder chronicId(final Long chronicId) {
         this.chronicId = chronicId;
         return this;
      }

      public HealthInfoChronicBuilder chronicName(final String chronicName) {
         this.chronicName = chronicName;
         return this;
      }

      public HealthInfoChronicBuilder crby(final String crby) {
         this.crby = crby;
         return this;
      }

      public HealthInfoChronicBuilder crtime(final Date crtime) {
         this.crtime = crtime;
         return this;
      }

      public HealthInfoChronicBuilder upby(final String upby) {
         this.upby = upby;
         return this;
      }

      public HealthInfoChronicBuilder uptime(final Date uptime) {
         this.uptime = uptime;
         return this;
      }

      public HealthInfoChronic build() {
         return new HealthInfoChronic(this.id, this.custId, this.chronicId, this.chronicName, this.crby, this.crtime, this.upby, this.uptime);
      }

      public String toString() {
         Long var10000 = this.id;
         return "HealthInfoChronic.HealthInfoChronicBuilder(id=" + var10000 + ", custId=" + this.custId + ", chronicId=" + this.chronicId + ", chronicName=" + this.chronicName + ", crby=" + this.crby + ", crtime=" + String.valueOf(this.crtime) + ", upby=" + this.upby + ", uptime=" + String.valueOf(this.uptime) + ")";
      }
   }
}
